High-Level Data Reduction Library: HDRL parameter - output grid

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
HDRL parameter - output grid
Resample 2D/3D images/cubes

Hdrl parameter defining the final output grid. More...

Collaboration diagram for HDRL parameter - output grid:

## Functions
hdrl_parameter * | hdrl_resample_parameter_create_outgrid2D (const double delta_ra, const double delta_dec)
| Creates a resample_outgrid hdrl parameter object for a 2 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_2D. Only two values can be set by the caller. The remaining values (see hdrl_resample_parameter_create_outgrid2D_userdef() for all values) are derived from the data itself by the hdrl_resample_compute() function.
hdrl_parameter * | hdrl_resample_parameter_create_outgrid3D (const double delta_ra, const double delta_dec, const double delta_lambda)
| Creates a resample_outgrid hdrl parameter object for a 3 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_3D. Only three values can be set by the caller. The remaining values (see hdrl_resample_parameter_create_outgrid3D_userdef() for all values) are derived from the data itself by the hdrl_resample_compute() function.
hdrl_parameter * | hdrl_resample_parameter_create_outgrid2D_userdef (const double delta_ra, const double delta_dec, const double ra_min, const double ra_max, const double dec_min, const double dec_max, const double fieldmargin)
| Creates a resample_outgrid hdrl parameter object for a 2 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_2D. All values must be set by the caller (see also hdrl_resample_parameter_create_outgrid2D()) .
hdrl_parameter * | hdrl_resample_parameter_create_outgrid3D_userdef (const double delta_ra, const double delta_dec, const double delta_lambda, const double ra_min, const double ra_max, const double dec_min, const double dec_max, const double lambda_min, const double lambda_max, const double fieldmargin)
| Creates a resample_outgrid hdrl parameter object for a 3 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_3D. All values must be set by the caller (see also hdrl_resample_parameter_create_outgrid3D()).
cpl_error_code | hdrl_resample_parameter_outgrid_verify (const hdrl_parameter *hp)
| verify parameters have proper values
int | hdrl_resample_parameter_outgrid_check (const hdrl_parameter *self)
| check method is of proper type

## Detailed Description

Hdrl parameter defining the final output grid.

The parameter controlling the output grid is

- hdrl_resample_parameter_create_outgrid2D(), or
- hdrl_resample_parameter_create_outgrid3D(), or
- hdrl_resample_parameter_create_outgrid2D_userdef(), or
- hdrl_resample_parameter_create_outgrid3D_userdef()

depending on a 2D or 3D interpolation and if the user wants to specify the final output grid on a high granularity or the hdrl routine should derive it from the input data.

## Function Documentation

## ◆ hdrl_resample_parameter_create_outgrid2D()

hdrl_parameter * hdrl_resample_parameter_create_outgrid2D | ( | const double | delta_ra,
|  | const double | delta_dec
| ) |  |

Creates a resample_outgrid hdrl parameter object for a 2 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_2D. Only two values can be set by the caller. The remaining values (see hdrl_resample_parameter_create_outgrid2D_userdef() for all values) are derived from the data itself by the hdrl_resample_compute() function.

Parameters

  delta_ra | step size in right ascension [deg]
  delta_dec | step size in declination [deg]

Returns
  The HDRL_RESAMPLE_OUTGRID_2D parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

This function creates a hdrl_resample_parameter_outgrid object HDRL_RESAMPLE_OUTGRID_2D

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_outgrid2D_userdef()

hdrl_parameter * hdrl_resample_parameter_create_outgrid2D_userdef | ( | const double | delta_ra,
|  | const double | delta_dec,
|  | const double | ra_min,
|  | const double | ra_max,
|  | const double | dec_min,
|  | const double | dec_max,
|  | const double | fieldmargin
| ) |  |

Creates a resample_outgrid hdrl parameter object for a 2 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_2D. All values must be set by the caller (see also hdrl_resample_parameter_create_outgrid2D()) .

Parameters

  delta_ra | step size in right ascension [deg]
  delta_dec | step size in declination [deg]
  ra_min | minimum right ascension [deg]
  ra_max | maximum right ascension [deg]
  dec_min | minimum declination [deg]
  dec_max | maximum declination [deg]
  fieldmargin | additional field margin [percent]

Returns
  The HDRL_RESAMPLE_OUTGRID_2D parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

This function creates a hdrl_resample_parameter_outgrid object HDRL_RESAMPLE_OUTGRID_2D

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_outgrid3D()

hdrl_parameter * hdrl_resample_parameter_create_outgrid3D | ( | const double | delta_ra,
|  | const double | delta_dec,
|  | const double | delta_lambda
| ) |  |

Creates a resample_outgrid hdrl parameter object for a 3 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_3D. Only three values can be set by the caller. The remaining values (see hdrl_resample_parameter_create_outgrid3D_userdef() for all values) are derived from the data itself by the hdrl_resample_compute() function.

Parameters

  delta_ra | step size in right ascension [deg]
  delta_dec | step size in declination [deg]
  delta_lambda | step size in wavelength direction [m]

Returns
  The HDRL_RESAMPLE_OUTGRID_3D parameters object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

This function creates a hdrl_resample_parameter_outgrid object HDRL_RESAMPLE_OUTGRID_3D

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_create_outgrid3D_userdef()

hdrl_parameter * hdrl_resample_parameter_create_outgrid3D_userdef | ( | const double | delta_ra,
|  | const double | delta_dec,
|  | const double | delta_lambda,
|  | const double | ra_min,
|  | const double | ra_max,
|  | const double | dec_min,
|  | const double | dec_max,
|  | const double | lambda_min,
|  | const double | lambda_max,
|  | const double | fieldmargin
| ) |  |

Creates a resample_outgrid hdrl parameter object for a 3 dimensional interpolation, i.e HDRL_RESAMPLE_OUTGRID_3D. All values must be set by the caller (see also hdrl_resample_parameter_create_outgrid3D()).

Parameters

  delta_ra | step size in right ascension [deg]
  delta_dec | step size in declination [deg]
  delta_lambda | step size in wavelength direction [m]
  ra_min | minimum right ascension [deg]
  ra_max | maximum right ascension [deg]
  dec_min | minimum declination [deg]
  dec_max | maximum declination [deg]
  lambda_min | step size in right ascension [m]
  lambda_max | step size in declination [m]
  fieldmargin | additional field margin [percent]

Returns
  The HDRL_RESAMPLE_OUTGRID_3D parameter object or NULL on error. It needs to be deallocated with hdrl_parameter_delete().

This function creates a hdrl_resample_parameter_outgrid object HDRL_RESAMPLE_OUTGRID_3D

See also
  hdrl_parameter_delete()
  hdrl_resample_compute()

## ◆ hdrl_resample_parameter_outgrid_check()

int hdrl_resample_parameter_outgrid_check | ( | const hdrl_parameter * | self | ) |

check method is of proper type

Parameters

  self | hdrl_parameter

Returns
  cpl_error_code

## ◆ hdrl_resample_parameter_outgrid_verify()

cpl_error_code hdrl_resample_parameter_outgrid_verify | ( | const hdrl_parameter * | hp | ) |

verify parameters have proper values

Parameters

  hp | hdrl_parameter

Returns
  cpl_error_code